<?php
include_once '../php/config.php';
include_once '../header.php';
/////echo date("H:i:s");
$id = $_GET["id_venta"];
$sql_ = mysql_query("select * from ventas where id_venta='$id'") or die (mysql_error());

$cliente = @mysql_result($sql_,0,"cliente");
$fecha = @mysql_result($sql_,0,"fecha");
$monto = @mysql_result($sql_,0,"total");
$balance = @mysql_result($sql_,0,"balance");
$producto = @mysql_result($sql_,0,"producto");
?>

<style>
    body{
        background: #ebedef;

    }
.titulos_p, .form-control{
    font-size:18px;
    font-weight: bolder;
}

td, th{
	font-size:18px;
	color:red;
}

    
</style>
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            
            <div class="panel panel-default" style="padding:18px;">
               <div class="panel-heading">
                  <span class="text-rojo" id="lb-descripcion" style="font-size:18px;"></span>
               </div>
                <div class="panel-body">
                     <form id="frm" method="POST">
                   <div class="row bg-success" style="padding:15px;">
                  
					
				   <hr>
                    <button class="btn btn-orange" type="submit" name="grabar" id="grabar"><i class="bi bi-save"></i> Actualizar datos</button>
                    <div class="col-md-6">
                      <select  class="form-control mt-2" id="cliente" name="cliente">
                           <?php 
						    $sql1 = mysql_query("select * from clientes  order by nombre asc") or die(mysql_error());
						   ?>
                            <option value="" selected>Cliente</option>
                                <?php while ($r = mysql_fetch_array($sql1)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
							<script>
							var cliente = "<?php echo $cliente?>";
							
							  $(function(){
								  $("#cliente").select2()
								
								   $("#cliente").val(cliente).trigger('change.select2');
								    
							  })
							
							</script>
                    </div>
					
					     <div class="col-md-3">
                      <select  class="form-control mt-2" id="producto" name="producto" disabled>
					    <option value="" selected>Producto</option>
                           <?php 
						    $sql3 = mysql_query("select distinct(producto) as producto from ventas order by producto limit 100") or die(mysql_error());
						   ?>
                           
                                <?php while ($r2 = mysql_fetch_array($sql3)) { ?>
                                    <option value="<?php echo $r2['producto'] ?>"><?php echo $r2['producto'] ?></option>
                                <?php } ?>
                            </select>
							<script>
							  $(function(){
								  var producto = "<?php echo $producto?>";
								  $("#producto").select2()
								 
								  $("#producto").val(producto).trigger('change.select2');
							  })
							
							</script>
                    </div>
					
					
					
					
					
					
				 </div> 
				 <br>
				 <input type="hidden" class="form-control" id="id_pago" name="id_pago" value="<?php echo $id?>">
				 <input type="hidden" class="form-control" id="id_venta" name="id_venta" value="<?php echo $id?>">
				 <div class="row">
				  <div class="col-md-1">Monto <b id="lb-unidad"></b></div>
				  <div class="col-md-3">
				  <input type="text" class="form-control" id="porcion" name="monto" value="<?php echo $monto?>" disabled>
				  </div>
				  
				   <div class="col-md-1">Balance </div>
				  <div class="col-md-3">
				  <input type="text" class="form-control" id="balance" name="balance" value="<?php echo $balance?>" disabled>
				  </div>

							</div>

					
   <br>
							<div class="row">

							
							<div class="col-md-1">Fecha </div>
							<div class="col-md-5">
							<input type="date" class="form-control" id="fecha" name="fecha" value="<?php echo $fecha?>">
							</div>
							</div>
				  
				 
				 
				<br>
				<br>
				 
				 <div class="row">
				  <div class="col-md-12">
				<div id="lista" style="height:400px; overflow-y:scroll">
				 
				</div>
  
				<a class="btn btn-rojo" href="../menu/menu.php"><i class='bi bi-arrow-down-left'></i> Volver atras<a>
      </div>
				  </div>
				 
				 </div>
				 
				 
				 
                </div>  
				
                    </div>
				   </form> 
				
                  
                </div>
            </div>
            
        </div>
    </div>
</div>
<?php

include_once '../footer.php';
?>

<script>
$(function(){
	$(".navbar").hide()
	var codigo0 = "<?php echo $_GET['codigo']?>"

 $('#codigo1').val("<?php echo $_GET['codigo']?>");
 lista("")
 $('#producto').change();

	$("#grabar").click(function(e){
			
		e.preventDefault();
		if(!confirm("Seguro que desea actualizar este producto?")){return;}
		_enviar("grabar_.php", $("#frm").serialize())
		.done(function(data){
			if(data==1){
				alert("Factura actualizada correctamente");
				window.location.reload()
			}else{
				alert(data);
			}
		})
	})
	
	
	
	
////////click en select producto
	$("#producto").change(function(e){
		e.preventDefault();
		
		_enviar("get_producto1.php", $("#frm").serialize())
		.done(function(data){
			data = JSON.parse(data)
			
			$("#codigo1").val(data.codigo)
			
			$("#descripcion1").val(data.descripcion)
			$("#lb-descripcion").html(data.descripcion)
			lista("");
			
		})
	})	
	
	
	
	////////click en select derivado
	$("#derivado").change(function(e){
		e.preventDefault();
		
		_enviar("get_producto2.php", $("#frm").serialize())
		.done(function(data){
			data = JSON.parse(data)
			$("#porcion").val("");
			$("#codigo2").val(data.codigo)
			$("#costo").val(data.costo)
			$("#precio").val(data.precio)
			
			$("#descripcion2").val(data.descripcion)
			$("#lb-descripcion2").html(data.descripcion)
			$("#lb-unidad").html(data.unidad)
			$("#porcion").select();
			$("#porcion").focus();
			
		})
	})
	

////////click en boton agregar
	$("#btn-agregar").click(function(e){
		e.preventDefault();
		
		_enviar("agregar.php", $("#frm").serialize())
		.done(function(data){
			if(data==1){
				lista($("#codigo1").val());
			}else{
				alert(data)
			}
			
			
		})
	})


	
	
	
	
	
})



function lista(codigo){
	_enviar("lista.php", $("#frm").serialize())
		.done(function(data){
		$("#lista").html(data)
			
		})
}


function borrar(id){
	var $id_venta = "<?php echo $id?>";
	$("#id_pago").val(id)
	if(!confirm("Seguro que desea eliminar este cobro?")){return;}
	_enviar("borrar.php", $("#frm").serialize())
		.done(function(data){
	   if(data==1){
		window.location.reload();
	   }else{
		   alert(data);
	   }	
		})
}
</script>